Package org.eclipse.cdt.core.settings.model.util

# Interface IKindBasedInfo<T>

Type Parameters:
  `T` -

public interface IKindBasedInfo<T>
Type-Parameterised kind based item

## Method Summary

Modifier and Type
Method
Description
`T`
`getInfo()`
Return type info
`int`
`getKind()`
`T`
`setInfo(T newInfo)`
Set info

## Method Details

### getKind

int getKind()

Returns:
  `ICSettingEntry` type

### getInfo

T getInfo()
Return type info

Returns:
  the data stored
See Also:
  - `KindBasedStore`

### setInfo

T setInfo(T newInfo)
Set info

Parameters:
  `newInfo` -
Returns:
  previous data stored